@node ntp-wait Invocation
@section Invoking ntp-wait
@pindex ntp-wait
@cindex Wait for ntpd to stabilize the system clock
@ignore
#
# EDIT THIS FILE WITH CAUTION  (invoke-ntp-wait.texi)
#
# It has been AutoGen-ed  April 26, 2016 at 08:24:23 PM by AutoGen 5.18.5
# From the definitions    ntp-wait-opts.def
# and the template file   agtexi-cmd.tpl
@end ignore



@code{ntp-wait}
will send at most
@kbd{num-tries}
queries to
@code{ntpd(8)},
sleeping for
@kbd{secs-between-tries}
after each status return that says
@code{ntpd(8)}
has not yet produced a synchronized and stable system clock.

@code{ntp-wait}
will do this quietly, unless the
@code{-v}
flag is provided.
This can be useful at boot time, to delay the boot sequence until after
@kbd{ntpd} @kbd{-g}
has set the time.

This section was generated by @strong{AutoGen},
using the @code{agtexi-cmd} template and the option descriptions for the @code{ntp-wait} program.

@menu
* ntp-wait usage::                  ntp-wait help/usage (@option{--help})
* ntp-wait tries::                  tries option (-n)
* ntp-wait sleep::                  sleep option (-s)
* ntp-wait verbose::                verbose option (-v)
* ntp-wait exit status::            exit status
* ntp-wait Authors::                Authors
* ntp-wait Notes::                  Notes
@end menu

@node ntp-wait usage
@subsection ntp-wait help/usage (@option{--help})
@cindex ntp-wait help

This is the automatically generated usage text for ntp-wait.

The text printed is the same whether selected with the @code{help} option
(@option{--help}) or the @code{more-help} option (@option{--more-help}).  @code{more-help} will print
the usage text by passing it through a pager program.
@code{more-help} is disabled on platforms without a working
@code{fork(2)} function.  The @code{PAGER} environment variable is
used to select the program, defaulting to @file{more}.  Both will exit
with a status code of 0.

@exampleindent 0
@example
ntp-wait - Wait for ntpd to stabilize the system clock - Ver. 4.2.8p7
USAGE: ntp-wait [ -<flag> [<val>] | --<name>[@{=| @}<val>] ]... 

    -n, --tries=num              Number of times to check ntpd
    -s, --sleep=num              How long to sleep between tries
    -v, --verbose                Be verbose
    -?, --help                   Display usage information and exit
        --more-help              Pass the extended usage text through a pager

Options are specified by doubled hyphens and their name or by a single
hyphen and the flag character.
@end example
@exampleindent 4

@node ntp-wait tries
@subsection tries option (-n)
@cindex ntp-wait-tries

This is the ``number of times to check ntpd'' option.
This option takes a number argument.
        The maximum number of times we will check @code{ntpd} to see if
        it has been able to synchronize and stabilize the system clock.
@node ntp-wait sleep
@subsection sleep option (-s)
@cindex ntp-wait-sleep

This is the ``how long to sleep between tries'' option.
This option takes a number argument @file{secs-between-tries}.
        We will sleep for @file{secs-between-tries} after each query
        of @code{ntpd} that returns "the time is not yet stable".
@node ntp-wait verbose
@subsection verbose option (-v)
@cindex ntp-wait-verbose

This is the ``be verbose'' option.
        By default, @code{ntp-wait} is silent.
        With this option, @code{ntp-wait} will provide status information.
@node ntp-wait exit status
@subsection ntp-wait exit status

One of the following exit values will be returned:
@table @samp
@item 0 (EXIT_SUCCESS)
Successful program execution.
@item 1 (EXIT_FAILURE)
The operation failed or the command syntax was not valid.
@end table
@node ntp-wait Authors
@subsection ntp-wait Authors
@node ntp-wait Notes
@subsection ntp-wait Notes
